## pg-reorg 1.1.9

=== debian/changelog ===
pg-reorg (1.1.9-2) unstable; urgency=medium

  * Also remove (broken anyway) logos from documentation.
  * Set team as Maintainer.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Jul 2014 17:35:18 +0200

pg-reorg (1.1.9-1) unstable; urgency=medium

  * Initial release.
  * Tweak headers and libs to build against older servers using 9.3's
    libpq-dev package.
  * Remove adsense code from html documentation.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 12 Mar 2014 10:47:54 +0100
