=== debian/control ===
Source: pg-reorg
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.5
Homepage: http://reorg.projects.pgfoundry.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pg-reorg.git
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pg-reorg.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-reorg
Architecture: any
Depends: postgresql-9.3, ${shlibs:Depends}, ${misc:Depends}
Description: reorganize tables in PostgreSQL databases without any locks
 pg_reorg is an utility program to reorganize tables in PostgreSQL databases.
 Unlike clusterdb, it doesn't block any selections and updates during
 reorganization.
 .
 This package contains the pg_reorg program and the server extension for
 PostgreSQL 9.3.
