=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-reorg
	# Install an alternative for /usr/bin/pg_reorg. We could wrap this
	# using pg_wrapper, but it doesn't matter which binary gets used (it
	# figures out the server version by itself), so we just use the one for
	# the newest server version.
	set -ex; \
	for v in $(shell pg_buildext supported-versions); do \
		i=$$(echo $$v | tr -d .); \
		echo "update-alternatives --install /usr/bin/pg_reorg pg_reorg /usr/lib/postgresql/$$v/bin/pg_reorg $$i" >> debian/postgresql-$$v-reorg.postinst.debhelper; \
		echo "update-alternatives --remove pg_reorg /usr/lib/postgresql/$$v/bin/pg_reorg" >> debian/postgresql-$$v-reorg.prerm.debhelper; \
	done

override_dh_installdocs:
	dh_installdocs --all doc/*

override_dh_clean:
	dh_clean bin/sql/init-?.?.sql

%:
	dh $@
