## pg-reorg 1.1.11

=== debian/changelog ===
pg-reorg (1.1.11-1) unstable; urgency=medium

  * New upstream release supporting 9.4.  Closes: #758482, #761556.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Jan 2015 15:06:59 +0100
