=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,5 @@
 override_dh_installdocs:
 	dh_installdocs --all doc/*
 
-override_dh_clean:
-	dh_clean bin/sql/init-?.?.sql
-
 %:
 	dh $@
