=== debian/watch ===
version=3

http://pgfoundry.org/frs/?group_id=1000411 /frs/download.php/[0-9]+/pg_reorg-(.*)\.tar\.gz
